//===========================================================================
//This array consists variables that need special commands for loading.
specialVarLoads =
[

	"_position",
	"_direction",
	"_primary",
	"_launcher",
	"_handgun",
	"_magazines",
	"_uniform",
	"_vest",
	"_headgear",
	"_goggles",
	"_backpack",
	"_items",
	"_primitems",
	"_secitems",
	"_handgunitems",
	"_uitems",
	"_vitems",
	"_bitems",
	"_pmag",
	"_smag",
	"_hmag",
	"_damage",
	"_alive"
	
];

loadFromDBClient =
{
	_array = _this;
	_uid = _array select 0;
	if((getPlayerUID player) != _uid) exitWith {};
	_varName = _array select 1;
	_varValue = _array select 2;
	//if(isNil '_varValue') exitWith {};
	if(_varName in specialVarLoads) then
	{


		if(_varName == '_alive' && !isNil '_varValue') then {
			if(_varValue == 0) then {
				PlayerIsAlive = 0;
								
			};
			if(_varValue == 1) then {
				PlayerIsAlive = 1;
								
			};			
		};
		
		if(_varName == '_position' && PlayerIsAlive == 1) then {(vehicle player) setPosATL _varValue;};
		if(_varName == '_direction' && PlayerIsAlive == 1) then {player setDir _varValue;};
		
		if(_varName == '_magazines' && PlayerIsAlive == 1) then {checkmag = _varValue;};
		if(_varName == '_items' && PlayerIsAlive == 1) then {checkitem = _varValue;};
				
		if(_varName == '_items' && PlayerIsAlive == 1) then {
			
			{ 
			if(_x == 'ItemCompass') then {player additem "ItemCompass"; player assignitem "ItemCompass";};
			if(_x == 'itemgps') then {player additem "itemgps"; player assignitem "itemgps";};
			if(_x == 'itemmap') then {player additem "itemmap"; player assignitem "itemmap";};
			if(_x == 'itemradio') then {player additem "itemradio"; player assignitem "itemradio";};
			if(_x == 'itemwatch') then {player additem "itemwatch"; player assignitem "itemwatch";};
			if(_x == 'nvgoggles') then {player additem "nvgoggles"; player assignitem "nvgoggles";};
			
			if(_x == 'Binocular') then {player addweapon "Binocular";};
			if(_x == 'rangefinder') then {player addweapon "rangefinder";};
			
			} foreach _varValue;


			};

		if((_varName == '_pmag' || _varName == '_smag' || _varName == '_hmag') && PlayerIsAlive == 1) then {
			if(!isNil '_varValue') then {
				_tmpmag = _varValue select 0;
				player addMagazine _tmpmag;
				};
			};
		if(_varName == '_primary' && PlayerIsAlive == 1 && !isNil '_varValue') then {player addweapon _varValue;};
		if(_varName == '_launcher' && PlayerIsAlive == 1 && !isNil '_varValue') then {player addweapon _varValue;};
		if(_varName == '_handgun' && PlayerIsAlive == 1 && !isNil '_varValue') then {player addweapon _varValue;};
						

		if(_varName == '_vest' && PlayerIsAlive == 1) then {
			removevest player;
			if(!isNil '_varValue') then { player addvest _varValue;};
			};
		if(_varName == '_vitems' && PlayerIsAlive == 1 && !isNil '_varValue') then
		{
			{
				if(_x in checkmag) then {player addMagazine _x;} else {player addItem _x;};
				//_curitem = _x;
			} foreach _varValue;
		};
				

	
		if(_varName == '_backpack' && PlayerIsAlive == 1 && !isNil '_varValue') then {player addbackpack _varValue;};
		if(_varName == '_bitems' && PlayerIsAlive == 1 && !isNil '_varValue') then
		{
			{
				if(_x in checkmag) then {(unitBackpack player) addMagazineCargo [_x,1];} else {(unitBackpack player) addItemCargo [_x,1];};
				//_curitem = _x;
			} foreach _varValue;
		};
		if(_varName == '_headgear' && PlayerIsAlive == 1 && !isNil '_varValue') then {player addheadgear _varValue;};
		if(_varName == '_goggles' && PlayerIsAlive == 1 && !isNil '_varValue') then {player addGoggles _varValue;};
		
		
		if(_varName == '_uniform' && PlayerIsAlive == 1) then {
			removeuniform player;
			if(!isNil '_varValue') then {player adduniform _varValue;};
		};
		if(_varName == '_uitems' && PlayerIsAlive == 1 && !isNil '_varValue') then
		{
			{
				if(_x in checkmag) then {player addMagazine _x;} else {player addItem _x;};
				//_curitem = _x;
			} foreach _varValue;
		};
							
		if(_varName == '_primitems' && PlayerIsAlive == 1 && !isNil '_varValue') then {
			{player addPrimaryWeaponItem _x;} foreach _varValue;
		};
		
		if(_varName == '_secitems' && PlayerIsAlive == 1 && !isNil '_varValue') then {
			{player addSecondaryWeaponItem _x;} foreach _varValue;
		};

		if(_varName == '_handgunitems' && PlayerIsAlive == 1 && !isNil '_varValue') then {
			{player addHandgunItem _x;} foreach _varValue;
		};
		

		if(_varName == '_damage' && PlayerIsAlive == 1) then {
			player setDamage _varValue;
		};	
			
				
	}
	else
	{
		//call compile format ["%1 = %2",_varName,_varValue];
	};
};

//===========================================================================
_sendToServer =
"
	accountToServerLoad = _this;
	publicVariableServer 'accountToServerLoad';
";

sendToServer = compile _sendToServer;
//===========================================================================
"accountToClient" addPublicVariableEventHandler 
{
	(_this select 1) spawn loadFromDBClient;
};
//===========================================================================

statFunctionsLoaded = 1;

if(ssDebug == 1) then
{

};

